#include <nds.h>
#include <nds/arm9/console.h> //basic print functionality
#include <stdlib.h>
#include <math.h>

void plot(int x, int y, uint16 color);
void draw_horizontal(int y, int x, int width, uint16 color);
void clear_screen(uint16 *base, uint16 color);
void draw_dot(int x, int y, uint16 color, uint16 thickness);
void draw_line(int x0, int y0, int x1, int y1, uint16 color, int thickness);
void draw_circle(int x1, int y1, int r, uint16 color, int thickness);
